#ifndef IMAGE_H
#define IMAGE_H

extern "C"
{
#include <SDL.h>
}

#include "xy.h"
#include "visible.h"

class Image : public XY<int>, public Visible
{
	public:
		Image();
		Image(const char *);
		Image(const char *, Uint8, Uint8, Uint8);
		~Image();
		void load(const char *);
		void load(const char *, Uint8, Uint8, Uint8);
		void draw();
		void draw_pice(const int, const int, const int, const int);
		int getw();
		int geth();
	private:
		SDL_Surface *image;
};

#endif

