#include "spacerider.h"

#include <iostream>

using namespace std;


int main(const int argc, char *argv[])
{
	Spacerider *spacerider = NULL;
	try
	{
		/* we create the main class */
		spacerider = new Spacerider(argc, argv);

		/* and join the game-loop */
		spacerider->loop();
	}
	catch(const char *s)
	{
		/* just print out the message and quit */
		cout << s << endl;
		delete spacerider;
		return 0;
	}
	catch(...)
	{
		/* should not be necessary */
		cout << "unknown exception!!!" << endl;
		delete spacerider;
		return 1;
	}
	
	/* free main class */
	delete spacerider;
	return 0;
}

