#ifndef BOX_H
#define BOX_H

extern "C"
{
#include <SDL_gfxPrimitives.h>
}

#include "xy.h"
#include "visible.h"

class Box : public XY<int>, public Visible
{
	public:
		Box();
		~Box();
		void draw();
		int getw();
		int geth();
		void set_color(Uint8, Uint8, Uint8, Uint8 = 255);
		void set_position(const int, const int, const int, const int);
		void set(const int, const int, const int, const int, Uint8, Uint8, Uint8, Uint8 = 255);
		void setw(const int);
		void seth(const int);
		void setwh(const int, const int);
	private:
		int w, h;
		Uint8 r, g, b, a;
};

#endif

