#ifndef BULLET_H
#define BULLET_H

#include "object.h"
#include "enemy.h"

struct bullet_struct
{
};

class Bullet : public Object<bullet_struct>
{
	public:
		Bullet();
		Bullet(const char *, const int);
		~Bullet();
		void init(const char *, const int);
		int collision(Enemy &);
		void add(const int, const int);
		void add(Sprite &, const int, const int);
		void add(Sprite &);
		bool alive();
	private:
		int speed;
};

#endif

