#ifndef ENEMY_H
#define ENEMY_H

#include "object.h"
#include "sprite.h"
#include "effect.h"

struct enemy_struct
{
	int health;
};

class Enemy : public Object<enemy_struct>
{
	public:
		Enemy();
		Enemy(const char *, const int);
		Enemy(const char *, const char *, const int);
		~Enemy();
		void init(const char *, const char *, const int);
		void init(const char *, const int);
		bool collision(Sprite &);
		bool hard_collision(Sprite &);
		void add(const int, const int);
		void move();
		void draw();
	private:
		bool del(object_struct *);
		bool no_effect;
		int health;
		Effect effect;
};

#endif

