#ifndef MUSIC_H
#define MUSIC_H

extern "C"
{
#include <SDL_mixer.h>
}

class Music
{
	public:
		Music();
		Music(const char *);
		~Music();
		void load(const char *);
		void play();
		void set_volume(const int);
		int get_volume();
	private:
		Mix_Music *music;
		int volume;
};

#endif




