#ifndef XY_H
#define XY_H

template <class T>class XY
{
	public:
		XY();
		XY(const T, const T);
		~XY();

		T getx();
		T gety();
		void setx(T);
		void sety(T);
		void setxy(T, T);
		
		void addx(T);
		void addy(T);
		void addxy(T, T);
		
	private:
		T x, y;
};

template <class T>XY<T>::XY()
{
}

template <class T>XY<T>::XY(const T a, const T b)
{
	setxy(a, b);
}

template <class T>XY<T>::~XY()
{
}

template <class T>T XY<T>::getx()
{
	return x;
}

template <class T>T XY<T>::gety()
{
	return y;
}

template <class T>void XY<T>::setxy(T a, T b)
{
	setx(a);
	sety(b);
}

template <class T>void XY<T>::setx(T a)
{
	x = a;
}

template <class T>void XY<T>::sety(T a)
{
	y = a;
}

template <class T>void XY<T>::addxy(T a, T b)
{
	addx(a);
	addy(b);
}

template <class T>void XY<T>::addx(T a)
{
	setx(getx() + a);
}

template <class T>void XY<T>::addy(T a)
{
	sety(gety() + a);
}

#endif


